<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


class DBWorkHLIlStufe extends DBWorkGenerated
{
  public function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);
    $this->select = 'id, stufe, text, illevel';
    $this->_dataModulFields = array('stufe', 'text', 'illevel', 'id');
  }

  
  public function getNewObject()
  {
    return new HLIlStufe();
  }

  public function getTableName(): string
  {
    return 'hlil_stufe';
  }
}